Beyond です。

t_yaml.rb のようなスクリプトを実行すると、core をはきます。
t_yaml2.rb を実行すると、ダブルクォーテーションが増えたため、
ArgumentError に、なるようです。
漢字コードは、シフトJISです。

$ ruby t_yaml.rb
/usr/local/lib/ruby/1.8/yaml.rb:133: [BUG] Segmentation fault
ruby 1.8.5 (2006-08-06) [i386-cygwin]

Aborted (core dumped)

$ ruby t_yaml2.rb
/usr/local/lib/ruby/1.8/yaml.rb:133:in `load': syntax error on line 3, col -1: `' (ArgumentError)
        from /usr/local/lib/ruby/1.8/yaml.rb:133:in `load'
        from t_yaml2.rb:11

-------------------------------- t_yaml.rb
#! ruby -Ks

require 'yaml'

s = <<END
---
str: "表"
END

p YAML::load( s )

-------------------------------- t_yaml2.rb
#! ruby -Ks

require 'yaml'

s = <<END
---
str1: "表"
str2: "あ"
END

p YAML::load( s )


---------------------
Beyond